Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.controlpoint
Class ActionCallback

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  ActionCallback.Default

    public abstract class ActionCallback

extends Object
implements Runnable

Nested Class Summary
`static class` | `ActionCallback.Default`

Field Summary
`protected ActionInvocation` | `actionInvocation`
`protected ControlPoint` | `controlPoint`

Constructor Summary
`protected` | `ActionCallback(ActionInvocation actionInvocation)`
`protected` | `ActionCallback(ActionInvocation actionInvocation, ControlPoint controlPoint)`

Method Summary
`protected String` | `createDefaultFailureMessage(ActionInvocation invocation, UpnpResponse operation)`
`abstract void` | `failure(ActionInvocation invocation, UpnpResponse operation)` Called when the action invocation failed.
`ActionInvocation` | `getActionInvocation()`
`ControlPoint` | `getControlPoint()`
`void` | `run()`
`void` | `setControlPoint(ControlPoint controlPoint)`
`abstract void` | `success(ActionInvocation invocation)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### actionInvocation

    protected final ActionInvocation actionInvocation

### controlPoint

    protected ControlPoint controlPoint

Constructor Detail

### ActionCallback

    protected ActionCallback(ActionInvocation actionInvocation,
                             ControlPoint controlPoint)

### ActionCallback

    protected ActionCallback(ActionInvocation actionInvocation)

Method Detail

### getActionInvocation

    public ActionInvocation getActionInvocation()

### getControlPoint

    public ControlPoint getControlPoint()

### setControlPoint

    public void setControlPoint(ControlPoint controlPoint)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### createDefaultFailureMessage

    protected String createDefaultFailureMessage(ActionInvocation invocation,
                                                 UpnpResponse operation)

### success

    public abstract void success(ActionInvocation invocation)

### failure

    public abstract void failure(ActionInvocation invocation,
                                 UpnpResponse operation)

  Called when the action invocation failed.

  Use the convenience method `createDefaultFailureMessage(org.teleal.cling.model.action.ActionInvocation, org.teleal.cling.model.message.UpnpResponse)` to render a simple error message.

  Parameters:
    `invocation` - The failed invocation, call its `getFailure()` method for more details.
    `operation` - If the invocation was on a remote service, the response message, otherwise null.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.